// Author: Pete Kirkham
// tiny quad store benchmark.
//
// functions to sort quads.

#include <sys/types.h>

class illegal_sort_term
{
public:
    illegal_sort_term (int term) : _term(term) { }

private:
    int _term;
};

unsigned int* merge_sort_quads      (unsigned int* data, unsigned int* buffer, size_t length, size_t term) ;
unsigned int* radix16_sort_quads    (unsigned int* data, unsigned int* buffer, size_t length, size_t term) ;
unsigned int* radix256_sort_quads   (unsigned int* data, unsigned int* buffer, size_t length, size_t term) ;
unsigned int* radix65536_sort_quads (unsigned int* data, unsigned int* buffer, size_t length, size_t term) ;
unsigned int* hybrid_sort_quads     (unsigned int* data, unsigned int* buffer, size_t length, size_t term, size_t block_size) ;
